Bug 902850 - Lock Screen does not work in xmonad-gnome session
Lock Screen does not work in xmonad-gnome session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xmonad (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 09:23 EST by Richard Connon
Modified: 2014-01-22 20:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 20:42:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Connon 2013-01-22 09:23:17 EST
Description of problem:
When "Lock Screen" is selected in the xmonad-gnome session nothing happens.
Running "gnome-screensaver-command -l" in terminal produces no output.

Version-Release number of selected component (if applicable):
Version: 0.10
Release: 17.fc18

How reproducible:
Always

Steps to Reproduce:
1. Login to xmonad-gnome session
2. Select "Lock Screen" from the menu in the top right corner.
  
Actual results:
Nothing

Expected results:
Lock screen appears
Comment 1 Richard Connon 2013-01-22 09:28:29 EST
Further to the above. It works fine in a standard gnome session.

More relevant software versions:

gnome-screensaver-3.6.1-1.fc18.x86_64
xmonad-gnome-0.10-17.fc18.x86_64
Comment 2 Jens Petersen 2013-01-29 22:55:59 EST
Thanks for the report - I can reproduce this.

As a workaround you could add:

$ cat >> ~/.xmonad/session
gnome-screensaver &
^D

But I am not sure why gnome-session is not starting gnome-screensaver
for an xmonad session - gnome-session management is still a bit of
a mystery/black-art to me... :)

But maybe we should just start it by hand if available in xmonad-start
for now for gnome sessions.

(It might also be better to move xmonad-gnome to a separate package
but that is another story.)

BTW I just tested and same problem seems to happen for
other alternative gnome sessions too (eg Openbox and E16).
So seems this problem may not be specific to xmonad.
Comment 3 Jens Petersen 2013-01-29 23:08:23 EST
(In reply to comment #2)
> But maybe we should just start it by hand if available in xmonad-start
> for now for gnome sessions.

I added this workaround to rawhide (f19 git) now,
and also added gnome-screensaver to @xmonad-gnome in comps-f19.
These can probably be backported later to F18.
Comment 4 Fedora End Of Life 2013-12-21 10:44:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jens Petersen 2014-01-22 20:42:35 EST
Fix was in F19 before it moved to xmonad-mate.

Note You need to log in before you can comment on or make changes to this bug.